Page 1 of 1

18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 12:36 pm
by catch22
Trying to upgrade Mint 18.3 (Cinnamon 64bit) to Mint 19, but the upgrade process is halted after a while, showing this error:

Code: Select all

Processing was halted because there were too many errors.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = "en_US",
	LC_ALL = (unset),
	LC_MONETARY = "de_BE.UTF-8",
	LC_ADDRESS = "de_BE.UTF-8",
	LC_TELEPHONE = "de_BE.UTF-8",
	LC_NAME = "de_BE.UTF-8",
	LC_MEASUREMENT = "de_BE.UTF-8",
	LC_IDENTIFICATION = "de_BE.UTF-8",
	LC_NUMERIC = "de_BE.UTF-8",
	LC_PAPER = "de_BE.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
E: Sub-process /usr/bin/dpkg returned an error code (1)

------------------------------------------------
!!  ERROR: Failed to upgrade some of the packages. Please review the error message, use APT to fix the situation and try again.
!!  Exiting.
------------------------------------------------
Fingers crossed that it can be fixed :?

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 12:41 pm
by deepakdeshp
I hope you have the backup.
I guess it offers a dry run as an option?Was it successful?
And anyway it is advised to do a clean install for upgrade from 18 to 19.

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 12:43 pm
by kukamuumuka
Obviously in mintupgrade has a bug, which causes a fail if locale is not en_something. You could try to set en_US.UTF-8 locale as default and try again. Via Terminal command

Code: Select all

sudo nano /etc/default/locale
... edit, save (Ctrl 0 and Ctrl x) and reboot.
https://help.ubuntu.com/community/Locale

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 12:50 pm
by catch22
deepakdeshp wrote:
Mon Oct 22, 2018 12:41 pm
I hope you have the backup.
I guess it offers a dry run as an option?Was it successful?
And anyway it is advised to do a clean install for upgrade from 18 to 19.
The dry run showed no expectancy of problems, so I went for it.
I have a backup of my data, and for the first time tried out Timeshift.
If need be I will do a clean install of Mint19, but would rather not have to spend so much time on configuring the system to my liking again, because it is so time consuming.
Unfortunately I haven't got any "play" time these days to tinker much on the computer :|

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 12:55 pm
by kukamuumuka
catch22 wrote:
Mon Oct 22, 2018 12:50 pm
Unfortunately I haven't got any "play" time these days to tinker much on the computer :|
Just couple of checks: Is there enough room for upgrade?

Code: Select all

df / /home
Is Timeshift running during an upgrade?

Code: Select all

(ps -ef|grep -v grep|grep timeshift >/dev/null && echo ”running” || echo ”not running”)

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 1:55 pm
by catch22
administrollaattori wrote:
Mon Oct 22, 2018 12:55 pm
Just couple of checks: Is there enough room for upgrade?

Code: Select all

df / /home
Is Timeshift running during an upgrade?

Code: Select all

(ps -ef|grep -v grep|grep timeshift >/dev/null && echo ”running” || echo ”not running”)
The terminal refuses to come alive, so I'll have to use Timeshift again to revert completely to the original 18.3 - time to seriously consider a clean install or for now leave 18.3 as is, I guess..

Re: 18.3 upgrade to 19 failed

Posted: Mon Oct 22, 2018 5:24 pm
by karlchen
Hello, administrollaattori. Hello, Catch22.
administrollaattori wrote:
Mon Oct 22, 2018 12:43 pm
Obviously in mintupgrade has a bug, which causes a fail if locale is not en_something. You could try to set en_US.UTF-8 locale as default and try again.
Cannot confirm so. During its whole life, my system has been set to de_DE.UTF-8. This has not caused any trouble while running mintupgrade upgrade from Mint 18.3 to Mint 19.

And, there is no hint that perl dropping back to LC_ALL=C is the issue at all.

The real problem, Catch22, is what follows. Sadly you have only posted the starting lines, not the whole error messages.

Code: Select all

E: Sub-process /usr/bin/dpkg returned an error code (1)

------------------------------------------------
!!  ERROR: Failed to upgrade some of the packages. Please review the error message, use APT to fix the situation and try again.
!!  Exiting.
------------------------------------------------
This is the third or fourth time, my own in-place upgrade included, that I read this error message, which makes "mintupgrade upgrade" abort.

The relevant part of error message can be found in this post, here, and all of the error messages till "mintupgrade upgrade" aborted in the attached file Zotac_Mint18.3_to_Mint19_upgrade1.zip. (You do not have to read the whole session logfile, just go down to line 10,914 and read from there to the end.)

In order to find out which software packages stopped "mintupgrade" you have to read allthe messages, not just the first few lines.
You have to fix the root cause, which succeeded in my case.
Then you can relaunch mintupgrade upgrade; and it will complete. At least it did in my case.

In case identifying the root cause and solving it exceeds your current Linux knowledge and skill (no offense meant, we all started green once upon a time, only some of us tend to forget), then indeed you may be better off falling back to a clean installation of Mint 19.

HTH,
Karl

Re: 18.3 upgrade to 19 failed

Posted: Tue Oct 23, 2018 11:37 am
by kukamuumuka
karlchen wrote:
Mon Oct 22, 2018 5:24 pm
Hello, administrollaattori. Hello, Catch22.
administrollaattori wrote:
Mon Oct 22, 2018 12:43 pm
Obviously in mintupgrade has a bug, which causes a fail if locale is not en_something. You could try to set en_US.UTF-8 locale as default and try again.
Cannot confirm so. During its whole life, my system has been set to de_DE.UTF-8. This has not caused any trouble while running mintupgrade upgrade from Mint 18.3 to Mint 19.
I got the same error (perl: warning: Setting locale failed) than catch22. My locale was fi_FI.UTF-8. I noticed that Timeshift was running, so I killed its process (sudo killall timeshift). I also noticed that there was only 1,6 GB space left in / partition. Anyway I tried to fix the issue running command sudo dpkg --configure -a which got the update process going again.

My fault was that I was not removed huge amount of Kernels before an upgrade, so that configure -a seemed to last forever, so I aborted the process and made a simple noob solution as fresh installation which took about ten minutes. :oops:

Re: 18.3 upgrade to 19 failed

Posted: Tue Oct 23, 2018 2:26 pm
by deepakdeshp
administrollaattori wrote:
Tue Oct 23, 2018 11:37 am
karlchen wrote:
Mon Oct 22, 2018 5:24 pm
Hello, administrollaattori. Hello, Catch22.
administrollaattori wrote:
Mon Oct 22, 2018 12:43 pm
Obviously in mintupgrade has a bug, which causes a fail if locale is not en_something. You could try to set en_US.UTF-8 locale as default and try again.
Cannot confirm so. During its whole life, my system has been set to de_DE.UTF-8. This has not caused any trouble while running mintupgrade upgrade from Mint 18.3 to Mint 19.
I got the same error (perl: warning: Setting locale failed) than catch22. My locale was fi_FI.UTF-8. I noticed that Timeshift was running, so I killed its process (sudo killall timeshift). I also noticed that there was only 1,6 GB space left in / partition. Anyway I tried to fix the issue running command sudo dpkg --configure -a which got the update process going again.

My fault was that I was not removed huge amount of Kernels before an upgrade, so that configure -a seemed to last forever, so I aborted the process and made a simple noob solution as fresh installation which took about ten minutes. :oops:
But what about the customizations and installing the extra applications apart from LM medium? That would have taken quite some time.

Re: 18.3 upgrade to 19 failed

Posted: Tue Oct 23, 2018 3:02 pm
by kukamuumuka
deepakdeshp wrote:
Tue Oct 23, 2018 2:26 pm
But what about the customizations and installing the extra applications apart from LM medium? That would have taken quite some time.
Those things does not take so long time. :wink: